BindingType (Java Platform SE 8 )
Keywords: org.omg.CosNaming.BindingType class
Date: 2020-03-26

org.omg.CosNaming

## Class BindingType

- java.lang.Object
- - org.omg.CosNaming.BindingType

- All Implemented Interfaces:
    Serializable, IDLEntity

      public class BindingType
      extends Object
      implements IDLEntity

  Specifies whether the given binding is for a object (that is not a naming context) or for a naming context.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `_ncontext`
    `static int` | `_nobject`
    `static BindingType` | `ncontext`
    `static BindingType` | `nobject`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BindingType(int value)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BindingType` | `from_int(int value)`
    `int` | `value()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _nobject

          public static final int _nobject

      See Also:
        Constant Field Values

    - #### nobject

          public static final BindingType nobject

    - #### _ncontext

          public static final int _ncontext

      See Also:
        Constant Field Values

    - #### ncontext

          public static final BindingType ncontext

  - ### Constructor Detail

    - #### BindingType

          protected BindingType(int value)

  - ### Method Detail

    - #### value

          public int value()

    - #### from_int

          public static BindingType from_int(int value)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2020, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.